#!/bin/sh
for i in *.btor
do
  name=`echo $i|sed -e 's,\..*,,'`

case $name in
adding) res=add;;
anderson) res=andrsn;;
at) res=at;;
bakery) res=bkry;;
blocks) res=blks;;
bridge) res=brdg;;
brp) res=brp;;
brp2) res=brptwo;;
cambridge) res=cmbrdg;;
collision) res=coll;;
cyclic_scheduler) res=cycschd;;
driving_phils)res=drvphls;;
elevator)res=elev;;
elevator_planning)res=elpln;;
exit)res=res=exit;;
extinction)res=extnc;;
firewire_tree)res=fwt;;
fischer)res=fish;;
frogs)res=frogs;;
gear)res=gear;;
hanoi)res=hanoi;;
iprotocol)res=iprot;;
krebs)res=krebs;;
lamport)res=lmprt;;
lamport_nonatomic)res=lptna;;
lann)res=lann;;
leader_election)res=ldelec;;
leader_filters)res=ldfilt;;
lifts)res=lifts;;
loyd)res=loyd;;
lup)res=lup;;
mcs)res=mcs;;
msmie)res=msmie;;
needham)res=ndhm;;
peg_solitaire)res=pgsol;;
peterson)res=ptrsn;;
pgm_protocol)res=pgmprot;;
plc)res=plc;;
pouring)res=prng;;
production_cell)res=prdcell;;
protocols)res=prots;;
reader_writer)res=rwtrs;;
resistance)res=resist;;
rether)res=rether;;
rushhour)res=rshr;;
schedule_world)res=schdwrld;;
sokoban)res=skbn;;
synapse)res=snpse;;
szymanski)res=szmsk;;
telephony)res=tlphn;;
train-gate)res=trngt;;
esac

  size=`expr $i : '.*\.\([0-9][0-9]*\)\..*'`
  prop=`expr $i : '.*\.prop\([0-9][0-9]*\)-.*'`
  case $i in
    *-back-*) type='b';;
    *-func-*) type='f';;
  esac

  dst="beem${res}${size}${type}${prop}.aig"
  src=$i

  echo "$src -> $dst"

  synthebtor $src $dst 

done
